io.vertx.reactivex.sqlclient

## Class RowSet<R>

- java.lang.Object
- - io.vertx.reactivex.sqlclient.SqlResult<RowSet<R>>
  - - io.vertx.reactivex.sqlclient.RowSet<R>

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate, Iterable<R>

      public class RowSet<R>
      extends SqlResult<RowSet<R>>
      implements io.vertx.lang.rx.RxDelegate, Iterable<R>

  The execution result of the row set of a query provided as ``, commonly used as a `RowSet`. Using a collector query might provide a different result.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RowSet>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<R>` | `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowSet(Object delegate, io.vertx.lang.rx.TypeArg<R> typeArg_0)`
    `RowSet(RowSet delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `RowSet` | `getDelegate()`
    `int` | `hashCode()`
    `RowIterator<R>` | `iterator()`
    `static <R> RowSet<R>` | `newInstance(RowSet arg)`
    `static <R> RowSet<R>` | `newInstance(RowSet arg, io.vertx.lang.rx.TypeArg<R> __typeArg_R)`
    `RowSet<R>` | `next()` Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
    `java.util.stream.Stream<R>` | `stream()`
    `String` | `toString()`
    `RowSet<R>` | `value()` Get the execution result value, the execution result type may vary such as a `rowSet` or even a `String`.

    - ### Methods inherited from class io.vertx.reactivex.sqlclient.SqlResult

      `columnDescriptors, columnsNames, newInstance, newInstance, property, rowCount, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RowSet> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<R> __typeArg_0

  - ### Constructor Detail

    - #### RowSet

          public RowSet(RowSet delegate)

    - #### RowSet

          public RowSet(Object delegate,
                        io.vertx.lang.rx.TypeArg<R> typeArg_0)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlResult<RowSet<R>>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlResult<RowSet<R>>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlResult<RowSet<R>>`

    - #### getDelegate

          public RowSet getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SqlResult<RowSet<R>>`

    - #### value

          public RowSet<R> value()

      Get the execution result value, the execution result type may vary such as a `rowSet` or even a `String`.
      Overrides:
        `value` in class `SqlResult<RowSet<R>>`
      Returns:
        the result value

    - #### iterator

          public RowIterator<R> iterator()

      Specified by:
        `iterator` in interface `Iterable<R>`

    - #### next

          public RowSet<R> next()

      Description copied from class: `SqlResult`
      Return the next available result or `null`, e.g for a simple query that executed multiple queries or for a batch result.
      Overrides:
        `next` in class `SqlResult<RowSet<R>>`
      Returns:
        the next available result or `null` if none is available

    - #### stream

          public java.util.stream.Stream<R> stream()

      Returns:
        a stream of rows

    - #### newInstance

          public static <R> RowSet<R> newInstance(RowSet arg)

    - #### newInstance

          public static <R> RowSet<R> newInstance(RowSet arg,
                                                  io.vertx.lang.rx.TypeArg<R> __typeArg_R)

Copyright © 2025 Eclipse. All rights reserved.